Gecode::Gist::GistMainWindow Class Reference
Functionality by programming task » Programming models » Gist: the Gecode Interactive Search Tool

Main window for stand-alone Gist. More...

`#include <mainwindow.hh>`

## Public Member Functions

| GistMainWindow (Space *root, bool bab, const Options &opt)
| Constructor.

## Protected Slots

void | statusChanged (const Statistics &stats, bool finished)
| The status has changed (e.g., new solutions have been found).
void | about (void)
| Open the about dialog.
void | preferences (bool setup=false)
| Open the preferences dialog.
void | populateInspectorSelection (void)
| Populate the inspector menus from the actions found in Gist.
void | populateInspectors (void)
| Populate the inspector menus from the actions found in Gist.
void | populateBookmarks (void)
| Populate the bookmarks menus from the actions found in Gist.

## Protected Member Functions

void | closeEvent (QCloseEvent *event)
| Close Gist.

## Protected Attributes

Gist * | c
| The contained Gist object.
QMenuBar * | menuBar
| A menu bar.
AboutGist | aboutGist
| About dialog.

## Detailed Description

Main window for stand-alone Gist.

Definition at line 54 of file mainwindow.hh.

## Constructor & Destructor Documentation

## GistMainWindow()

Gecode::Gist::GistMainWindow::GistMainWindow | ( | Space * | root,
|  | bool | bab,
|  | const Options & | opt )

Constructor.

Definition at line 77 of file mainwindow.cpp.

## Member Function Documentation

## statusChanged

void Gecode::Gist::GistMainWindow::statusChanged | ( | const Statistics & | stats,
|  | bool | finished )

protected slot

The status has changed (e.g., new solutions have been found).

Definition at line 234 of file mainwindow.cpp.

## about

void Gecode::Gist::GistMainWindow::about | ( | void |  | ) |

protected slot

Open the about dialog.

Definition at line 276 of file mainwindow.cpp.

## preferences

void Gecode::Gist::GistMainWindow::preferences | ( | bool | setup = false | ) |

protected slot

Open the preferences dialog.

Definition at line 281 of file mainwindow.cpp.

## populateInspectorSelection

void Gecode::Gist::GistMainWindow::populateInspectorSelection | ( | void |  | ) |

protected slot

Populate the inspector menus from the actions found in Gist.

Definition at line 300 of file mainwindow.cpp.

## populateInspectors

void Gecode::Gist::GistMainWindow::populateInspectors | ( | void |  | ) |

protected slot

Populate the inspector menus from the actions found in Gist.

Definition at line 321 of file mainwindow.cpp.

## populateBookmarks

void Gecode::Gist::GistMainWindow::populateBookmarks | ( | void |  | ) |

protected slot

Populate the bookmarks menus from the actions found in Gist.

Definition at line 313 of file mainwindow.cpp.

## closeEvent()

void Gecode::Gist::GistMainWindow::closeEvent | ( | QCloseEvent * | event | ) |

protected

Close Gist.

Definition at line 226 of file mainwindow.cpp.

## Member Data Documentation

## c

Gist* Gecode::Gist::GistMainWindow::c

protected

The contained Gist object.

Definition at line 91 of file mainwindow.hh.

## menuBar

QMenuBar* Gecode::Gist::GistMainWindow::menuBar

protected

A menu bar.

Definition at line 93 of file mainwindow.hh.

## aboutGist

AboutGist Gecode::Gist::GistMainWindow::aboutGist

protected

About dialog.

Definition at line 95 of file mainwindow.hh.

The documentation for this class was generated from the following files:

- gecode/gist/mainwindow.hh
- gecode/gist/mainwindow.cpp